Przeglądaj źródła

add test for apt show

Michael Vogt 12 lat temu
rodzic
commit
6d73fe5be0

+ 2 - 1
cmdline/apt.cc

@@ -103,10 +103,11 @@ int main(int argc, const char *argv[])					/*{{{*/
    CommandLine::Dispatch Cmds[] = {{"list",&List},
                                    {"search", &FullTextSearch},
                                    {"show", &APT::Cmd::ShowPackage},
-                                   // needs root
+                                   // package stuff
                                    {"install",&DoInstall},
                                    {"remove", &DoInstall},
                                    {"purge", &DoInstall},
+                                   // system wide stuff
                                    {"update",&DoUpdate},
                                    {"upgrade",&DoAptUpgrade},
                                    // misc

+ 0 - 3
test/integration/test-apt-cli-search

@@ -40,6 +40,3 @@ testequal "bar/testing 2.0 i386
 foo/unstable 1.0 all
   $DESCR
 " apt search -qq aabbcc
-
-
-

+ 29 - 0
test/integration/test-apt-cli-show

@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386"
+
+DESCR='Some description 
+ That has multiple lines'
+insertpackage 'unstable' 'foo' 'all' '1.0' '' '' "$DESCR"
+
+setupaptarchive
+
+APTARCHIVE=$(readlink -f ./aptarchive)
+
+# note that we do not display Description-md5 with the "apt" cmd
+testequal "Package: foo
+Priority: optional
+Section: other
+Installed-Size: 42
+Maintainer: Joe Sixpack <joe@example.org>
+Architecture: all
+Version: 1.0
+Filename: pool/main/foo/foo_1.0_all.deb
+Description: Some description 
+ That has multiple lines
+" apt show foo